
#   pkgIndex.tcl   -   SOAP client packages


proc load-package {package version} {
    global env 

    package ifneeded $package $version [list source [file join $env(MIDASBASE) SOAP tcl [set package].tcl]]
#    puts stdout "package $package available"
}


#    puts stdout "Setting up access for MIDAS SOAP packages"

      load-package MIDASAccessClient 1.0

      load-package HelloClient 1.0
      load-package CommandServerClient 1.0 
      load-package RshServerClient 1.0

      load-package CAMACAccessClient 1.0
      load-package VMEAccessClient 1.0 
      load-package SigTaskClient 1.0
      load-package NetVarClient 1.0
      load-package MessageLoggerClient 1.0
      load-package TimeClient 1.0

      load-package TapeClient 1.0
      load-package SpectrumClient 1.0
 
      load-package VHSADCClient 1.0
      load-package XportClient 1.0
      load-package AGATADigitizerAccessClient 1.0
      load-package DataBaseAccessClient 1.0
      load-package ABCAccessClient 1.0
      load-package TDRIAccessClient 1.0
      load-package MPXAccessClient 1.0
      load-package EPICSAccessClient 1.0

      load-package XPRAYSNUCAMAccessClient 1.0
      load-package XAIDAAccessClient 1.0
      load-package XAD9252AccessClient 1.0

      load-package DataAcquisitionControlClient 1.0
      load-package RunControlClient 1.0




